Skip to main content
GET
TV

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

air_date.gte
string<date>

Filters results for air dates greater than or equal to the specified date.

air_date.lte
string<date>

Filters results for air dates less than or equal to the specified date.

first_air_date_year
integer

Filters results by the first air date year.

first_air_date.gte
string<date>

Filters results for first air dates greater than or equal to the specified date.

first_air_date.lte
string<date>

Filters results for first air dates less than or equal to the specified date.

include_adult
boolean

Defaults to false. Include adult content if true.

include_null_first_air_dates
boolean

Defaults to false. Include items with null first air dates if true.

language
string

Defaults to en-US. Specify the language filter for results.

page
integer

Defaults to 1. Specify the page of results to retrieve.

screened_theatricaly
boolean

Include only items that were screened theatrically if true.

sort_by
string

Defaults to popularity.desc. Specify how results should be sorted (e.g., popularity, rating).

timezone
string

Specify the timezone for the query (e.g., UTC, PST).

vote_average.gte
number<float>

Filters results for vote average greater than or equal to the specified value.

vote_average.lte
number<float>

Filters results for vote average less than or equal to the specified value.

vote_count.gte
number<float>

Filters results for vote count greater than or equal to the specified value.

vote_count.lte
number<float>

Filters results for vote count less than or equal to the specified value.

watch_region
string

Use in conjunction with with_watch_monetization_types or with_watch_providers to filter by region.

with_companies
string

Can be a comma, pipe, or space-separated list of company IDs.

with_genres
string

Can be a comma, pipe, or space-separated list of genre IDs.

with_keywords
string

Can be a comma (AND) or pipe (OR) separated query of keyword IDs.

with_network
integer

Filter by network ID.

with_origin_country
string

Filter by country of origin.

with_original_language
string

Filter by the original language of the content.

with_runtime.gte
integer

Filters results for runtime greater than or equal to the specified value (in minutes).

with_runtime.lte
integer

Filters results for runtime less than or equal to the specified value (in minutes).

with_status
string

Filter by the status of the item (e.g., "released", "in production").

with_watch_monetization_types
string

Can be a comma (AND) or pipe (OR) separated query of monetization types (e.g., "free", "ad-supported").

with_watch_providers
string

Use in conjunction with watch_region to filter by watch providers (e.g., "Netflix", "Hulu").

without_companies
string

Exclude specified companies (comma-separated).

without_genres
string

Exclude specified genres (comma-separated).

without_keywords
string

Exclude specified keywords (comma-separated).

without_watch_providers
string

Exclude specified watch providers (comma-separated).

with_type
string

Can be a comma (AND) or pipe (OR) separated query for types (e.g., "movie", "tv_series").

Response

200 - application/json

Successful

page
integer

Indicates the current page number

results
object[]

Contains the list of data or items

total_pages
integer

Specifies the total number of pages available

total_results
integer

Represents the total number of items or records in a dataset